# Uses of Class
com.ngrok.definitions.TunnelGroupBackend

Packages that use TunnelGroupBackend
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of TunnelGroupBackend in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type TunnelGroupBackend
  Modifier and Type
  Method
  Description
  `List<TunnelGroupBackend>`
  TunnelGroupBackendList.`getBackends()`
  the list of all TunnelGroup backends on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type TunnelGroupBackend
  Modifier
  Constructor
  Description
  ``
  `TunnelGroupBackendList(List<TunnelGroupBackend> backends, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TunnelGroupBackendList`.

- ## Uses of TunnelGroupBackend in com.ngrok.services

  Methods in com.ngrok.services that return TunnelGroupBackend
  Modifier and Type
  Method
  Description
  `TunnelGroupBackend`
  TunnelGroupBackends.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TunnelGroupBackend`
  TunnelGroupBackends.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `TunnelGroupBackend`
  TunnelGroupBackends.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type TunnelGroupBackend
  Modifier and Type
  Method
  Description
  `CompletionStage<TunnelGroupBackend>`
  TunnelGroupBackends.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TunnelGroupBackend>`
  TunnelGroupBackends.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<TunnelGroupBackend>`
  TunnelGroupBackends.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.